cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement

## Class EHC_E13

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.claimsandreimbursement.EHC_E13

-     public final class EHC_E13
      extends Message

  EHC_E13 - Additional Information Response (event E13). This message is used by a Provider to immediately respond to an EHC_E12 Request for Additional Information, in other words an automated response.

  Represents a EHC_E13 message structure (see chapter 16.3.8). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) MULTIPLE_OPTIONAL
  3: MSA (Message Acknowledgment) SINGLE_COMPULSARY
  4: ERR (Error) MULTIPLE_OPTIONAL
  5: RFI (Request for Information) SINGLE_COMPULSARY
  6: CTD (Contact Data) MULTIPLE_OPTIONAL
  7: IVC (Invoice) SINGLE_COMPULSARY
  8: PSS (Product/Service Section) SINGLE_COMPULSARY
  9: PSG (Product/Service Group) SINGLE_COMPULSARY
  10: PID (Person Identification) SINGLE_OPTIONAL
  11: PSL (Product/Service Line Item) MULTIPLE_OPTIONAL
  12: REQUEST (Group of EHC_E12 event) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  EHC_E13 objE13 = (EHC_E13)MessageFactory.createInstance().createSendSupportedMessage("EHC", "E13");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContactDataSegment(CTD objCTD)` Adds Contact Data Segment(CTD) to this message.
    `void` | `addContactDataSegment(ISingleCollection<CTD> objCTDSegmentCollection)` Adds collection of Contact Data Segment(CTD) to this message.
    `void` | `addErrorSegment(ERR objERR)` Adds Error Segment(ERR) to this message.
    `void` | `addErrorSegment(ISingleCollection<ERR> objERRSegmentCollection)` Adds collection of Error Segment(ERR) to this message.
    `void` | `addProductOrServiceLineItemSegment(ISingleCollection<PSL> objPSLSegmentCollection)` Adds collection of Product/Service Line Item Segment(PSL) to this message.
    `void` | `addProductOrServiceLineItemSegment(PSL objPSL)` Adds Product/Service Line Item Segment(PSL) to this message.
    `void` | `addRequestGroup(IGroup objGroup)` Adds REQUEST to this message.
    `void` | `addRequestGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of REQUEST to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)` Adds collection of User Authentication Credential Segment(UAC) to this message.
    `void` | `addUserAuthenticationCredentialSegment(UAC objUAC)` Adds User Authentication Credential Segment(UAC) to this message.
    `ISingleCollection<CTD>` | `getContactDataSegments()` Retrieves Collection of Contact Data Segments(CTD) present in this message.
    `ISingleCollection<ERR>` | `getErrorSegments()` Retrieves Collection of Error Segments(ERR) present in this message.
    `IVC` | `getInVoiceSegment()` Retrieves Invoice(IVC) segment present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `PID` | `getPersonIdentificationSegment()` Retrieves Person Identification(PID) segment present in this message.
    `PSG` | `getProductOrServiceGroupSegment()` Retrieves Product/Service Group(PSG) segment present in this message.
    `ISingleCollection<PSL>` | `getProductOrServiceLineItemSegments()` Retrieves Collection of Product/Service Line Item(PSL) present in this message.
    `PSS` | `getProductOrServiceSectionSegment()` Retrieves Product/Service Section(PSS) segment present in this message.
    `RFI` | `getRequestForInformationSegment()` Retrieves Request for Information(RFI) segment present in this message.
    `ISingleCollection<IGroup>` | `getRequestGroups()` Retrieves Collection of REQUEST present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<UAC>` | `getUserAuthenticationCredentialSegments()` Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
    `void` | `setInVoiceSegment(IVC objIVC)` Sets value of IVC segment for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setPersonIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setProductOrServiceGroupSegment(PSG objPSG)` Sets value of PSG segment for this message,overwrites if already present.
    `void` | `setProductOrServiceSectionSegment(PSS objPSS)` Sets value of PSS segment for this message,overwrites if already present.
    `void` | `setRequestForInformationSegment(RFI objRFI)` Sets value of RFI segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message to this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegments

          public ISingleCollection<UAC> getUserAuthenticationCredentialSegments()

      Retrieves Collection of User Authentication Credential Segments(UAC) present in this message.
      Returns:
        ISingleCollection - Collection of User Authentication Credential Segments(UAC) present in this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(UAC objUAC)

      Adds User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUAC` - Specified User Authentication Credential Segment(UAC) to be added in this message to this message.

    - #### addUserAuthenticationCredentialSegment

          public void addUserAuthenticationCredentialSegment(ISingleCollection<UAC> objUACSegmentCollection)

      Adds collection of User Authentication Credential Segment(UAC) to this message.
      Parameters:
        `objUACSegmentCollection` - Collection of User Authentication Credential Segments to add in this message

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegments

          public ISingleCollection<ERR> getErrorSegments()

      Retrieves Collection of Error Segments(ERR) present in this message.
      Returns:
        ISingleCollection - Collection of Error Segments(ERR) present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds Error Segment(ERR) to this message.
      Parameters:
        `objERR` - Specified Error Segment(ERR) to be added in this message to this message.

    - #### addErrorSegment

          public void addErrorSegment(ISingleCollection<ERR> objERRSegmentCollection)

      Adds collection of Error Segment(ERR) to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Error Segments to add in this message

    - #### getRequestForInformationSegment

          public RFI getRequestForInformationSegment()

      Retrieves Request for Information(RFI) segment present in this message.
      Returns:
        RFI - Specified Request for Information Segment

    - #### setRequestForInformationSegment

          public void setRequestForInformationSegment(RFI objRFI)

      Sets value of RFI segment for this message,overwrites if already present.
      Parameters:
        `objRFI` - Specified RFI Segment

    - #### getContactDataSegments

          public ISingleCollection<CTD> getContactDataSegments()

      Retrieves Collection of Contact Data Segments(CTD) present in this message.
      Returns:
        ISingleCollection - Collection of Contact Data Segments(CTD) present in this message.

    - #### addContactDataSegment

          public void addContactDataSegment(CTD objCTD)

      Adds Contact Data Segment(CTD) to this message.
      Parameters:
        `objCTD` - Specified Contact Data Segment(CTD) to be added in this message to this message.

    - #### addContactDataSegment

          public void addContactDataSegment(ISingleCollection<CTD> objCTDSegmentCollection)

      Adds collection of Contact Data Segment(CTD) to this message.
      Parameters:
        `objCTDSegmentCollection` - Collection of Contact Data Segments to add in this message

    - #### getInVoiceSegment

          public IVC getInVoiceSegment()

      Retrieves Invoice(IVC) segment present in this message.
      Returns:
        IVC - Specified Invoice Segment

    - #### setInVoiceSegment

          public void setInVoiceSegment(IVC objIVC)

      Sets value of IVC segment for this message,overwrites if already present.
      Parameters:
        `objIVC` - Specified IVC Segment

    - #### getProductOrServiceSectionSegment

          public PSS getProductOrServiceSectionSegment()

      Retrieves Product/Service Section(PSS) segment present in this message.
      Returns:
        PSS - Specified Product/Service Section Segment

    - #### setProductOrServiceSectionSegment

          public void setProductOrServiceSectionSegment(PSS objPSS)

      Sets value of PSS segment for this message,overwrites if already present.
      Parameters:
        `objPSS` - Specified PSS Segment

    - #### getProductOrServiceGroupSegment

          public PSG getProductOrServiceGroupSegment()

      Retrieves Product/Service Group(PSG) segment present in this message.
      Returns:
        PSG - Specified Product/Service Group Segment

    - #### setProductOrServiceGroupSegment

          public void setProductOrServiceGroupSegment(PSG objPSG)

      Sets value of PSG segment for this message,overwrites if already present.
      Parameters:
        `objPSG` - Specified PSG Segment

    - #### getPersonIdentificationSegment

          public PID getPersonIdentificationSegment()

      Retrieves Person Identification(PID) segment present in this message.
      Returns:
        PID - Specified Person Identification Segment

    - #### setPersonIdentificationSegment

          public void setPersonIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getProductOrServiceLineItemSegments

          public ISingleCollection<PSL> getProductOrServiceLineItemSegments()

      Retrieves Collection of Product/Service Line Item(PSL) present in this message.
      Returns:
        ISingleCollection - Collection of Product/Service Line Item(PSL) present in this message.

    - #### addProductOrServiceLineItemSegment

          public void addProductOrServiceLineItemSegment(PSL objPSL)

      Adds Product/Service Line Item Segment(PSL) to this message.
      Parameters:
        `objPSL` - Specified Product/Service Line Item Segment(PSL) to be added in this message to this message.

    - #### addProductOrServiceLineItemSegment

          public void addProductOrServiceLineItemSegment(ISingleCollection<PSL> objPSLSegmentCollection)

      Adds collection of Product/Service Line Item Segment(PSL) to this message.
      Parameters:
        `objPSLSegmentCollection` - Collection of Product/Service Line Item to add in this message

    - #### getRequestGroups

          public ISingleCollection<IGroup> getRequestGroups()

      Retrieves Collection of REQUEST present in this message.
      Returns:
        ISingleCollection - Collection of REQUEST present in this Message.

    - #### addRequestGroups

          public void addRequestGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of REQUEST to this message.
      Parameters:
        `objSingleCollection` - - Specified REQUEST Collection.

    - #### addRequestGroup

          public void addRequestGroup(IGroup objGroup)

      Adds REQUEST to this message.
      Parameters:
        `objGroup` - Specified REQUEST.